/// <reference types="react" />
/// <reference types="react-number-format" />
export declare const StyledSlider: any;
export declare const StyledTextField: import("@emotion/styled").StyledComponent<Omit<import("@mui/material").TextFieldProps, "onChange" | "variant" | "InputProps"> & import("@mui/material").InputBaseComponentProps & Omit<import("react-number-format").NumberFormatProps, "onChange"> & {
    onChange?: (value?: unknown, event?: import("react").ChangeEvent<HTMLInputElement | HTMLTextAreaElement>) => void;
    language?: string;
    currency?: string;
    isStepper?: boolean;
    minValue?: number;
    maxValue?: number;
    decimalScale?: number;
    fixedDecimalScale?: boolean;
    thousandSeparator?: string | boolean;
} & {
    onChange?: (value?: unknown, event?: import("react").ChangeEvent<HTMLInputElement | HTMLTextAreaElement>) => void;
    isNumeric?: boolean;
    InputProps?: Omit<Partial<import("@mui/material").FilledInputProps>, "endAdornment" | "startAdornment"> | Omit<Partial<import("@mui/material").OutlinedInputProps>, "endAdornment" | "startAdornment"> | Omit<Partial<import("@mui/material").InputProps>, "endAdornment" | "startAdornment">;
    startAdornment?: import("react").ReactNode;
    endAdornment?: import("react").ReactNode;
    debounceBy?: number;
    isClearable?: boolean;
    step?: number;
    variant?: import("../TextField").TextFieldVariant;
} & import("@mui/system").MUIStyledCommonProps<import("@mui/material/styles").Theme>, {}, {}>;
export declare const FormControl: import("@emotion/styled").StyledComponent<{
    children?: import("react").ReactNode;
    classes?: Partial<import("@mui/material/FormControl").FormControlClasses>;
    color?: import("@mui/types").OverridableStringUnion<"primary" | "secondary" | "info" | "success" | "warning" | "error", import("@mui/material/FormControl").FormControlPropsColorOverrides>;
    disabled?: boolean;
    error?: boolean;
    fullWidth?: boolean;
    focused?: boolean;
    hiddenLabel?: boolean;
    margin?: "none" | "normal" | "dense";
    required?: boolean;
    size?: import("@mui/types").OverridableStringUnion<"small" | "medium", import("@mui/material/FormControl").FormControlPropsSizeOverrides>;
    sx?: import("@mui/material/styles").SxProps<import("@mui/material/styles").Theme>;
    variant?: "outlined" | "filled" | "standard";
} & import("@mui/material/OverridableComponent").CommonProps & Omit<Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: import("react").Ref<HTMLDivElement>;
}, "error" | keyof import("@mui/material/OverridableComponent").CommonProps | "color" | "children" | "disabled" | "sx" | "margin" | "fullWidth" | "size" | "variant" | "required" | "focused" | "hiddenLabel"> & import("@mui/system").MUIStyledCommonProps<import("@mui/material/styles").Theme>, {}, {}>;
export declare const FormHelperText: import("@emotion/styled").StyledComponent<{
    children?: import("react").ReactNode;
    classes?: Partial<import("@mui/material/FormHelperText").FormHelperTextClasses>;
    disabled?: boolean;
    error?: boolean;
    filled?: boolean;
    focused?: boolean;
    margin?: "dense";
    required?: boolean;
    sx?: import("@mui/material/styles").SxProps<import("@mui/material/styles").Theme>;
    variant?: import("@mui/types").OverridableStringUnion<"outlined" | "filled" | "standard", import("@mui/material/FormHelperText").FormHelperTextPropsVariantOverrides>;
} & import("@mui/material/OverridableComponent").CommonProps & Omit<Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLParagraphElement>, HTMLParagraphElement>, "ref"> & {
    ref?: import("react").Ref<HTMLParagraphElement>;
}, "error" | keyof import("@mui/material/OverridableComponent").CommonProps | "children" | "disabled" | "sx" | "margin" | "variant" | "required" | "filled" | "focused"> & import("@mui/system").MUIStyledCommonProps<import("@mui/material/styles").Theme>, {}, {}>;
